> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Trade Finance Obligations

> List trade finance obligations for a given entity.

### Supported Products

* Trade Finance


## OpenAPI

````yaml get /v1/entities/{entity_id}/tf_obligations
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/entities/{entity_id}/tf_obligations:
    get:
      tags:
        - Financing
      summary: List Trade Finance Obligations
      description: List trade finance obligations for a given entity.
      operationId: PrimeRESTAPI_ListTFObligations
      parameters:
        - name: entity_id
          in: path
          description: The entity ID to retrieve obligations for
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.ListTFObligationsResponse
components:
  schemas:
    coinbase.public_rest_api.ListTFObligationsResponse:
      title: Response containing trade finance obligations for an entity
      type: object
      properties:
        obligations:
          type: array
          description: The list of obligations (loans) for the entity.
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.TFObligation'
    coinbase.public_rest_api.TFObligation:
      title: Trade finance obligation information
      type: object
      properties:
        portfolio_id:
          type: string
          description: The unique ID of the portfolio
          example: e8bbed13-fa33-41de-86d5-4335d8f08166
        symbol:
          type: string
          description: The currency symbol
          example: BTC
        amount_due:
          type: string
          description: Current amount due
          example: '150000'
        notional_amount:
          type: string
          description: Loan notional amount
          example: '250000'
        due_date:
          type: string
          description: Settlement due date
          example: '1000'

````